<?php
class doc_scan_napravlenie_ag extends c_doc
{
 var $title='Скан направления по АГ' ;
 var $PDF_page_orientation='P' ; // L P
 var $PDF_page_format='A4' ;
 var $footer_right='' ;
 var $db_report_code='napravlenie' ; // Имя директории в таблице документов для сохранения докумена. только для магнита - направление по АГ, справка и направление в наркодиспансер должны иметь общую нумерацию.

 var $rec_personal=array() ;
 var $rec_scan=array() ;

 var $mo_id=0 ;
 var $personal_id=0 ;


 function init($create_options=array())
 { if ($this->filter['personal_id'])
   { $this->rec_personal=PERSONAL()->get_personal_by_id($this->filter['personal_id']) ;
     if ($this->filter['scan_id']) $this->rec_scan=execSQL_van('select * from obj_site_scan where pkey='.$this->filter['scan_id'].' limit 1') ;
     else                          $this->rec_scan=execSQL_van('select * from obj_site_scan where personal_id='.$this->rec_personal['pkey'].' and diagnoz!="Здоров" and not diagnoz is null order by pkey desc limit 1') ;
    if ($this->rec_scan['pkey'])
    {  if ($this->rec_scan['parent']!=1) $this->arr_images=execSQL_line('select obj_name from obj_site_scan where pkey='.$this->rec_scan['parent'].' or parent='.$this->rec_scan['parent'].' order by indx') ;
       else                              $this->arr_images=execSQL_line('select obj_name from obj_site_scan where pkey='.$this->rec_scan['pkey'].' or parent='.$this->rec_scan['pkey'].' order by indx') ;
    }
    if ($this->rec_personal['pkey']) $this->personal_id=$this->rec_personal['pkey'] ;
 }
 }

  function view_as_HTML($options=array())
  { $this->init() ;
    //damp_array($this->arr_images,1,-1) ;
    if (_sizeof($this->arr_images)) foreach($this->arr_images as $img_name)
        if (file_exists(_DIR_TO_ROOT.$img_name)) {?><img src="<?echo _PATH_TO_SITE.$img_name?>" style="width:100%;"><?}
        else echo 'Файл изображения "'.$img_name.'" отсутствует на сервере<br>' ;
  }
}

?>
